import {
		useHttp
	} from '@/tools/http';
	const {
		isLoading,
		sendRequest
	} = useHttp();
	let Url='https://service-platform.sixinyun.com'
	//let Url='http://localgongdan'
	let BaseUrl=Url+'/api/'
	
	export const BaseFileUrl=()=>{
		return Url;
	}
	//登录授权
	export const login =   (data) =>  {
			return  sendRequest({url: BaseUrl+"H5/MianMiLogin",method: 'POST',data:data});
	}
	//提交发票申请
	export const InvoiceSave =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/InvoiceSave",method: 'POST',data:data});
	}
	//获取发票列表
	export const InvoiceGetList =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/InvoiceGetList",method: 'POST',data:data});
	}
	//获取发票详情
	export const InvoiceGetDetail =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/InvoiceGetDetail",method: 'POST',data:data});
	}
	//获取上次填写的历史信息
	export const InvoiceGetHistory =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/InvoiceGetHistory",method: 'POST',data:data});
	}
	
	//获取工单列表
	export const WorkOrderList =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/WorkOrderList",method: 'POST',data:data});
	}
	//提交工单
	export const WorkOrderSave =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/WorkOrderSave",method: 'POST',data:data});
	}
	//获取工单消息详情
	export const GetSelfMsgList =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/GetSelfMsgList",method: 'POST',data:data});
	}
	//获取工单简介
	export const GetWorkOrderInfo =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/GetWorkOrderInfo",method: 'POST',data:data});
	}
	//H5插入留言
	export const InsertMsg =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/InsertMsg",method: 'POST',data:data});
	}
	//H5用户关闭工单
	export const UserChangeWorkOrder =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/UserChangeWorkOrder",method: 'POST',data:data});
	}
	
	export const UpFileUrl=   () =>  {
		return 	BaseUrl+'v1/UpFile'
	}